PostsPost settings
Unpin Post
Unpin a post from a wall on Fansly.
Unpin a post from a wall.
https://v1.apifansly.com/api/fansly
POST
/{account_id}/posts/{post_id}/unpin
Get Started
All requests to the Fansly API require an API Key. See the Authentication page for details.
Request Body
curl -X POST "https://v1.apifansly.com/api/fansly/{account_id}/posts/{post_id}/unpin" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"wallId": "wall_id"
}'fetch("https://v1.apifansly.com/api/fansly/{account_id}/posts/{post_id}/unpin", {
method: "POST",
headers: {
"x-api-key": "YOUR_API_KEY",
"Content-Type": "application/json"
},
body: JSON.stringify({
wallId: "wall_id"
})
})import requests
url = "https://v1.apifansly.com/api/fansly/{account_id}/posts/{post_id}/unpin"
headers = {
"x-api-key": "YOUR_API_KEY",
"Content-Type": "application/json"
}
payload = {
"wallId": "wall_id"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpRequest.BodyPublishers;
HttpClient client = HttpClient.newHttpClient();
String json = "{\"wallId\": \"wall_id\"}";
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://v1.apifansly.com/api/fansly/{account_id}/posts/{post_id}/unpin"))
.header("x-api-key", "YOUR_API_KEY")
.header("Content-Type", "application/json")
.POST(BodyPublishers.ofString(json))
.build();
client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
.thenApply(HttpResponse::body)
.thenAccept(System.out::println)
.join();using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var json = "{\"wallId\": \"wall_id\"}";
var content = new StringContent(json, Encoding.UTF8, "application/json");
var response = await client.PostAsync("https://v1.apifansly.com/api/fansly/{account_id}/posts/{post_id}/unpin", content);
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString);package main
import (
"bytes"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://v1.apifansly.com/api/fansly/{account_id}/posts/{post_id}/unpin"
payload := []byte(`{"wallId": "wall_id"}`)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(payload))
req.Header.Set("x-api-key", "YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}Path Parameters
account_id*
stringThe unique identifier for the connected account.
post_id*
stringThe unique identifier for the post to unpin.
Request Body Parameters
wallId*
stringThe ID of the wall to unpin the post from.
Response
{
"statusCode": 200,
"message": "Success",
"data": {
"status_code": 200,
"data": {
"success": true
}
},
"timestamp": "2026-02-01T01:15:00.000Z"
}Response Body
| Field | Type | Description |
|---|---|---|
statusCode | number | HTTP status code of the response (200) |
message | string | A human-readable status message |
data | object | The main response payload |
├─ status_code | number | Internal Fansly operation status code |
└─ data | object | Nested data container |
└─ success | boolean | true if the post was unpinned successfully |
timestamp | string | ISO 8601 timestamp of when the response was generated |